## com.thingmagic
Class SerialTransportTCP.Factory

    java.lang.Object
      com.thingmagic.SerialTransportTCP.Factory

All Implemented Interfaces:
  ReaderFactory

Enclosing class:
  SerialTransportTCP

    public static class SerialTransportTCP.Factory

extends java.lang.Object
implements ReaderFactory

Constructor Summary
`SerialTransportTCP.Factory()`

Method Summary
`SerialReader` `createReader(java.lang.String uri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerialTransportTCP.Factory

    public SerialTransportTCP.Factory()

Method Detail

### createReader

    public SerialReader createReader(java.lang.String uri)
                              throws ReaderException

  Specified by:
    `createReader` in interface `ReaderFactory`
  Throws:
    `ReaderException`